:a
    echo - 请确保文件名是否正确
    echo - 例如：
    echo D:\1\2\3\boot.img=刷入到boot分区
    echo D:\1\2\3\boot_a.img=刷入到boot_a分区
    echo D:\1\2\3\boot_ab.img=刷入到boot_a分区和boot_b分区
    echo D:\1\2\3\recovery.img=刷入到recovery分区
    echo D:\1\2\3\logo.img=刷入到logo分区
    pause
    cls
    %tishi1% 刷入的.img镜像文件
    set img=
    set /p img=%t1%
    if not defined img ( %error% 未选择镜像文件，刷个鸡儿 & goto a )
    if not exist %img% ( %error% 选择的镜像不存在，刷个鸡儿 & goto a )
        %name% %img%
        echo - 是否现在执行："fastboot flash %name2% %img%" 命令？
        pause
        fastboot flash %name2% %img%
        %fcq%
